[GRASS-SVN] r31592 - grass/branches/develbranch_6/tools
svn_grass at osgeo.org
svn_grass at osgeo.org
Sun Jun 1 02:58:14 EDT 2008
Author: hamish
Date: 2008-06-01 02:58:14 -0400 (Sun, 01 Jun 2008)
New Revision: 31592
Modified:
grass/branches/develbranch_6/tools/build_html_index.sh
Log:
quote some filenames, merge some echos, center table
Modified: grass/branches/develbranch_6/tools/build_html_index.sh
===================================================================
--- grass/branches/develbranch_6/tools/build_html_index.sh 2008-05-31 23:32:16 UTC (rev 31591)
+++ grass/branches/develbranch_6/tools/build_html_index.sh 2008-06-01 06:58:14 UTC (rev 31592)
@@ -48,11 +48,11 @@
<head>
<title>$2</title>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
- <meta name=\"Author\" content=\"GRASS Development Team\">" > $1
+ <meta name=\"Author\" content=\"GRASS Development Team\">" > "$1"
if [ "$3" ] && [ "$MACOSX" ] ; then
echo " <meta name=\"AppleTitle\" content=\"GRASS GIS $GRASSVERSION Help\">
<meta name=\"AppleIcon\" content=\"GRASS-$GRASS_MMVER/grass_icon.png\">
- <meta name=\"robots\" content=\"anchors\">" >> $1
+ <meta name=\"robots\" content=\"anchors\">" >> "$1"
fi
echo " <link rel=\"stylesheet\" href=\"grassdocs.css\" type=\"text/css\">
</head>
@@ -77,7 +77,8 @@
Geographic Resources Analysis Support System (GRASS), an open source (GNU
GPL'ed), image processing and geographic information system (GIS).</p>
-<table>
+<BR><BR>
+<table align="center">
<tr>
<td valign=\"top\">
<h3>Quick Introduction</h3>
@@ -102,18 +103,19 @@
</ul>
<P>
-" >> $1
+" >> "$1"
}
write_html_footer()
{
# $1: filename
# $2: help index url
-echo "<hr>" >> $1
-echo "<p><a href=\"$2\">Help Index</a> | <a href=\"full_index.html\">Full Index</a><br>" >> $1
-echo "© 2003-2008 <a href=\"http://grass.osgeo.org\">GRASS Development Team</a></p>" >> $1
-echo "</body>" >> $1
-echo "</html>" >> $1
+echo "<BR><BR>
+<hr>
+<p><a href=\"$2\">Help Index</a> | <a href=\"full_index.html\">Full Index</a><br>
+© 2003-2008 <a href=\"http://grass.osgeo.org\">GRASS Development Team</a></p>
+</body>
+</html>" >> "$1"
}
expand_module_class_name()
@@ -150,7 +152,7 @@
ls build_html_index.sh 2> /dev/null
if [ $? -eq 1 ] ; then
echo "ERROR: this script must be run from the tools/ directory"
- exit
+ exit 1
fi
FULLINDEX=full_index.html
@@ -195,7 +197,6 @@
#echo "<tr><td> g3.* </td><td>general3D commands</td></tr>" >> $FULLINDEX
echo "<tr><td> i.* </td><td>imagery commands</td></tr>" >> $FULLINDEX
echo "<tr><td> m.* </td><td>miscellaneous commands</td></tr>" >> $FULLINDEX
-#echo "<tr><td> p.* </td><td>paint commands</td></tr>" >> $FULLINDEX
echo "<tr><td> ps.* </td><td>postscript commands</td></tr>" >> $FULLINDEX
echo "<tr><td> r.* </td><td>raster commands</td></tr>" >> $FULLINDEX
echo "<tr><td> r3.* </td><td>raster3D commands</td></tr>" >> $FULLINDEX
More information about the grass-commit
mailing list